import { jsx as _jsx } from "react/jsx-runtime";
import cx from 'classnames';
import './styles.scss';
export const BadgeColors = [
    'none',
    'black',
    'blue',
    'green',
    'red',
    'yellow',
    'violet',
];
export const BadgeSizes = ['large', 'medium', 'small', 'x-small'];
export default function Badge({ text, className, color = 'none', size = 'large', }) {
    const getClassNames = cx('ds-badge', className, color, size);
    return (_jsx("div", { className: getClassNames, children: _jsx("span", { children: text }) }));
}
